gnutls_privkey_sign_data(3)

NAME
gnutls_privkey_sign_data - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_privkey_sign_data(gnutls_privkey_t signer, gnutls_digest_algorithm_t hash, unsigned int flags, const gnutls_datum_t * data, gnutls_datum_t * signature);

ARGUMENTS

gnutls_privkey_t signer
    Holds the key

gnutls_digest_algorithm_t hash
    should be a digest algorithm

unsigned int flags
    Zero or one of gnutls_privkey_flags_t

const gnutls_datum_t * data
    holds the data to be signed

gnutls_datum_t * signature
    will contain the signature allocated with gnutls_malloc()

DESCRIPTION
This function will sign the given data using a signature algorithm supported by the private key. Signature algorithms are always used together with a hash functions. Different hash functions may be used for the RSA algorithm, but only the SHA family for the DSA keys. You may use gnutls_pubkey_get_preferred_hash_algorithm() to determine the hash algorithm.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/